Bug 206278 - java/dbvis update to v9.2.14
Summary: java/dbvis update to v9.2.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-01-14 23:23 UTC by Hadi Rezaee
Modified: 2016-01-29 20:36 UTC (History)
2 users (show)

See Also:


Attachments
contains the changes required for updating the port to v9.2.14 (1.26 KB, application/zip)
2016-01-14 23:23 UTC, Hadi Rezaee
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hadi Rezaee 2016-01-14 23:23:37 UTC
Created attachment 165616 [details]
contains the changes required for updating the port to v9.2.14

Hello there,

The port seems to be a little bit outdated (v9.1.6 - 2014-11-14), and
there are lots of bug-fixes and new feature introduced in newer
version. 

I've already built dbvis with v9.2.14 (2015-12-22) and it just worked
fine. I thought it may help somebody who wish to work with newer versions.

Changes:

Makefile:
PORTVERSION=    9.2.14
JAVA_VERSION=   1.7+

distinfo:
SHA256 (dbvis_unix_9_2_14.tar.gz) =
1089fa65d279ac6e24605a9b234668615ca2b32688a8a53a0c731bcb3dd66e85
SIZE (dbvis_unix_9_2_14.tar.gz) = 62341419

Please find the attached file.
Comment 1 Kurt Jaeger freebsd_committer 2016-01-28 21:29:49 UTC
testbuilds@work
Comment 2 Kurt Jaeger freebsd_committer 2016-01-29 06:32:31 UTC
Testbuilds are ok
Comment 3 commit-hook freebsd_committer 2016-01-29 06:32:55 UTC
A commit references this bug:

Author: pi
Date: Fri Jan 29 06:32:15 UTC 2016
New revision: 407453
URL: https://svnweb.freebsd.org/changeset/ports/407453

Log:
  java/dbvis: 9.1.6 -> 9.2.14

  - Changes:
    http://www.dbvis.com/doc/relnotes/
  - now works with openjdk8

  PR:		206278
  Submitted by:	Hadi Rezaee <h.rezaee@ideatech.io>
  Approved by:	jim@ohlste.in (maintainer timeout)

Changes:
  head/java/dbvis/Makefile
  head/java/dbvis/distinfo
Comment 4 Kurt Jaeger freebsd_committer 2016-01-29 06:34:48 UTC
Please note: Old version installed /usr/local/bin/dbvis/, with
executable in /usr/local/bin/dbvis/dbvis as symlink to the executable.

This now installs /usr/local/bin/dbvis as symlink to the executable.

Committed, thanks.
Comment 5 Hadi Rezaee 2016-01-29 20:36:00 UTC
my pleasure ;) , thank you Kurt.